#3805 Marauroa InvalidVersionException - false negative?

closed-fixed
None
9
2008-06-03
2008-05-31
No

2008-05-31 13:41:32 WARN [NetworkClientManagerRead] Logger.java
( 208) - Message has incorrect protocol version(31) expected (31)
2008-05-31 13:41:32 ERROR [NetworkClientManagerRead] Logger.java
( 68) - Exception when processing pending packets
marauroa.common.net.InvalidVersionException
at
marauroa.common.net.MessageFactory.getMessage(MessageFactory.java:217)
at marauroa.common.net.Decoder.decode(Decoder.java:221)
at
marauroa.client.net.TCPNetworkClientManager$NetworkClientManagerRead.storeMessage(TCPNetworkClientManager.java:265)
at
marauroa.client.net.TCPNetworkClientManager$NetworkClientManagerRead.run(TCPNetworkClientManager.java:362)

Whatever client Bluelads4 (and a few others) try they can't login to server. We tried it with versions were everything was signed, everything was unsigned, and where marauroa.jar was unsigned but the rest was signed. Nothing works. Her webstart won't work either. What confuses me in the error message is this:

Message has incorrect protocol version(31) expected (31)

Discussion

  • Miguel Angel Blanch Lardin

    Logged In: YES
    user_id=3949
    Originator: NO

    WARN [NetworkClientManagerRead] Logger.java ( 196) - Message
    has incorrect protocol version(31) expected (31)
    ERROR [NetworkClientManagerRead] Logger.java ( 56) - Exceptio
    n when processing pending packets
    marauroa.common.net.InvalidVersionException
    at marauroa.common.net.MessageFactory.getMessage(MessageFactory.java:217
    )
    at marauroa.common.net.Decoder.decode(Decoder.java:209)
    at marauroa.client.net.TCPNetworkClientManager$NetworkClientManagerRead.
    storeMessage(TCPNetworkClientManager.java:265)
    at marauroa.client.net.TCPNetworkClientManager$NetworkClientManagerRead.
    run(TCPNetworkClientManager.java:362)

     
  • Miguel Angel Blanch Lardin

    Logged In: YES
    user_id=3949
    Originator: NO

    <robinh00d> hi
    <hendrik> 13:47 < kymara> which is underlined by the fact that it expects version 31 and gets version 31 but still thinks there's a problem
    oh
    where did you get these numbers from? They are not in the stacktrace from tigergone at
    http://www5.speedyshare.com/data/329228996/11198053/31630545/cantgetin.txt
    ahh, ok it is above the exception.
    if (data[offset] == NetConst.NETWORK_PROTOCOL_VERSION) {
    } else {
    logger.warn("Message has incorrect protocol version(" + data[0] + ") expected ("
    + NetConst.NETWORK_PROTOCOL_VERSION + ")");
    conclusion offset != 0.
    so it is possible that it is not related to the marauroa.jar at all.
    mblanch, ping
    <kymara> i got them from bluelads4 it's in th elog
    <hendrik> so chances are that offset is simply wrong.
    <-- robinh00d (n=ssssss@217.219.138.157) ha dejado #arianne
    <kymara> i made a bug report on it too
    <hendrik> i am sorry, i did not look above the exception
    <kymara> it's ok :)
    <derxBrummel62> hi@ll
    <kymara> so what do you think the bug could be hendrik
    <hendrik> we currently only know that it is a bug in the marauroa source code.
    <-- gummipferd ha parado ("Leaving.")
    <hendrik> the marauroa.jar from the link above is older than 2008-02-22
    >mblanch< hendrik: yes?
    <hendrik> this link i mean: http://www5.speedyshare.com/data/329228996/11198053/31630545/cantgetin.txt
    mblanch, we have a problem with marauroa's network communication.
    mblanch, i know to little about it to find the problem soon.
    >mblanch< ok, let me check code
    <hendrik> mblanch, as far as I know at the moment, is that MessageFactory.getMessage() complains about a wrong version.
    >mblanch< Is it repeatble?
    I mean, happens for everyone?
    <hendrik> mblanch, it does the check at data[offset] and then prints out a message that the version is wrong but this message includes data[0].
    mblanch, no only to a view people.
    mblanch, i am not sure if offset is wrong or it is just a coincidence that data[0] contains the right value.
    mblanch, i am currently thinking that it may be related to multiple messages being joined in a single tcp package dune to a slow connectin.
    mblanch, but the last sentence is just a vague guess.
    mblanch, the offset is hard coded to 4 (with one exception in a method with is not used).
    --> durkham (n=astrid@c218124.adsl.hansenet.de) ha entrado en #arianne
    _eye_fill_in (n=PircBot@c218124.adsl.hansenet.de) ha entrado en #arianne
    -_eye_fill_in/#arianne- this channel is logged http://xplanner.homelinux.net/arianne_log
    --- hendrik es ahora conocido como hendrik__
    hendrik__ es ahora conocido como hendrik
    <hendrik> Does anyone else have the problem that he or she is ignored by NickServ? Not even an error message?
    <kymara> he spoke back to me (you are already logged in as kymara)
    mblanch: there is also a bug report about it with an error log
    https://sourceforge.net/tracker/index.php?func=detail&aid=1980526&group_id=1111&atid=101111
    mblanch: both people on windows and people on linux got this problem but not everyone
    --> DeusFigendi (n=Deus@BAG16b1.bag.pppool.de) ha entrado en #arianne
    <kymara> and very occasionally they can login anyway (which would then agree with hendrik's guess about slow connections)
    <hendrik> ok, the log in the bug report is created by a recent marauroa.jar
    <kymara> yes indeed
    <hendrik> so this is a problem which has been around for at least 5 month but is triggered now for a unknown reason.
    or it could be the other way round: a huge message which is split into several tcp packages.
    packets.
    <kymara> slow connections are more of an issue since the server is on a slower connection
    >mblanch< I will have it fixed as soon as possible.
    <kymara> mblanch: can you see the problem?
    >mblanch< I will write test cases for both possibilities and check already done test cases.
    It must be something like hendrik says
    <kymara> ok
    thanks :)
    >mblanch< either two messages joined in a single TCP
    or two tcp with one message
    and I think it is the second
    As the first one would have been spotted long ago.
    <kymara> mainly it's the non-europeans with the problem so again that agrees with hendrik's guess
    bluelads4 must just have rubbish internet :P
    >mblanch< while the second one can be the result of a bigger map or more data in a map.

     
  • Martin Fuchs

    Martin Fuchs - 2008-06-01

    Logged In: YES
    user_id=1534223
    Originator: NO

    The error message "has incorrect protocol version" is wrong:
    In MessageFactory.java, getMessage() line 181 data[offset] is inspected. This does not correspond to lines 211/217, where data[0] is inspected.

     
  • Miguel Angel Blanch Lardin

    • status: open --> closed-fixed
     
  • Miguel Angel Blanch Lardin

    Logged In: YES
    user_id=3949
    Originator: NO

    It shouldn't happen anymore with the fixes martin did.

     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks